Subject: Re: [dnsext] dnssec-bis-updates item about CNAME

From: Samuel Weiler <[email-masked]>
Date: Sat, 22 May 2010 19:27:03 -0400 (EDT)

> Well it is not clear that the answer is wrong. The standard, 
> possibly deliberately, does not define which answer is correct. This 
> means that explicit NSEC and RRSIG queries are not very useful - but 
> that's fine - there is no reason to issue an explicit NSEC or RRSIG 
> query ( or DNAME or CNAME ).

I have a vague recollection of "us" talking about NSEC and RRSIG 
queries at length, and deciding that it's okay if they break in ways 
like this: they really are meta-data, and no one should ever be 
querying for them explicitly.

At a first pass, I'm inclined to concur with George Barwood: clarify, 
but don't define.

Anyone else out there with opinions?

-- Sam